%bcond_without static_libs # don't build static libraries

Summary:        Library providing binary-decimal and decimal-binary routines for IEEE doubles
Name:           double-conversion
Version:        2.0.1
Release:        3%{?dist}
License:        BSD
Group:          Development/Libraries
Source0:        http://double-conversion.googlecode.com/files/%{name}-%{version}.tar.gz
URL:            http://code.google.com/p/double-conversion
BuildRequires:  scons >= 2.3.0

%description
Provides binary-decimal and decimal-binary routines for IEEE doubles.
The library consists of efficient conversion routines that have been
extracted from the V8 JavaScript engine. The code has been re-factored
and improved so that it can be used more easily in other projects.

%package devel
Summary:    Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
Contains header files for developing applications that use the %{name}
library.

There is extensive documentation in src/double-conversion.h. Other
examples can be found in test/cctest/test-conversions.cc.

%package static
Summary:    Library providing binary-decimal and decimal-binary routines for IEEE doubles
Group:      Development/Libraries
Requires:   %{name}-devel%{?_isa} = %{version}-%{release}

%description static
Static %{name} library.

%prep
%setup -q -c %{name}-%{version}

%build
scons %{?_smp_mflags} \
      CXXFLAGS="%{optflags}" \
      VERSION="%{version}"
      
# With scons 2.3.0 setting the version fails without this
# http://comments.gmane.org/gmane.comp.programming.tools.scons.user/24448
rm -f libdouble-conversion.so*

%install
install -d  %{buildroot}{%{_libdir},%{_includedir}/%{name}}

%if %{with static_libs}
%global target install
%else
%global target install-shared
%endif

scons %{target} \
      CXXFLAGS="%{optflags}" \
      libsuffix=%{_lib} \
      prefix=%{_prefix} \
      DESTDIR=%{buildroot}

cp -p src/*.h %{buildroot}%{_includedir}/%{name}

%check
scons CXXFLAGS="%{optflags}" run_tests
./run_tests --list | tr -d '<' | xargs ./run_tests

%post -p /sbin/ldconfig
%postun  -p /sbin/ldconfig

%files
%doc LICENSE README AUTHORS Changelog
%{_libdir}/libdouble-conversion.so.1*

%files devel
%{_libdir}/libdouble-conversion.so
%{_includedir}/%{name}

%if %{with static_libs}
%files static
%{_libdir}/libdouble-conversion.a
%{_libdir}/libdouble-conversion_pic.a
%endif

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Feb 8 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.1-1
- New upstream version.
- Drop no longer needed custom SConstruct file and use new upstream SONAME.

* Tue Dec 17 2013 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.0-4
- Drop libstdc++-devel from BuildRequires.
- Move %%check after %%install.

* Sat Dec 14 2013 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.0-3
- Remove gcc-c++ from BuildRequires as it is an exception.
- Fix command in %%check and pass CXXFLAGS to scons.
- Use %%global instead of %%define.

* Thu Dec 12 2013 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.0-2
- Fix building when "--without static_libs" is passed.
- Remove %%ghost with libdouble-conversion.so.2.
- Drop BuildRoot.
- Use rm instead of %%{__rm} for consistency
- Use %%{?dist} in Release.

* Wed Dec 11 2013 Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.0-1
- Initial Fedora package based on a PLD Linux RPM by Elan Ruusamäe <glen@delfi.ee>:
  http://git.pld-linux.org/gitweb.cgi?p=packages/double-conversion.git
